Ошибка при обновлении php до 5.4 - Дизайн и модификация Invision Power Board

Перейти к содержимому

 

Правила раздела

Здесь обсуждаются вопросы по настройке и администрированию форумов IPB 3.x.
Пожалуйста, не оффтопьте, если зашли сюда случайно, и обратите внимание на соседние разделы.
Установка, настройка и обслуживание форумов IPB 2.x.
Оформление форумов, включая верстку скинов.
Размещение рекламы на форумах.
SEO оптимизация форума.
Техническая поддержка наших скинов и модов.

СвернутьПрикрепленные теги

string offset

Страница 1 из 1

Ошибка при обновлении php до 5.4

#1 Пользователь не на сайте   ralf ответил: »

 
 
  • Member
  • **
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: Пользователи
  • Сообщений: 35
  • Регистрация: 22-Август 09
  • Репутация: 0
  • IPB version:3.4.x
 

Отправлено 16 Апрель 2015 - 16:32

Форум 3.4.3
Блоги 2.5.1

После обновления php с 5.3 до 5.4 появилась ошибка на главной странице блогов
Warning: Illegal string offset 'eopt_mode' in /var/www/admin/www/сайт/admin/applications_addon/ips/blog/sources/parsing.php on line 329

329 строка:

if ( $blog['blog_settings']['eopt_mode'] == "autohide" &&
		     ($entry['edit_button'] or $entry['del_button'] or $entry['send_trackback'] or $entry['lock'] or $entry['publish']) )

Как исправить?
0

#2 Пользователь не на сайте   Атаман ответил: »

 
 
  • Advanced
  • Смотреть блог
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: IPB Skins.ru Team
  • Сообщений: 2 144
  • Регистрация: 13-Апрель 12
  • Репутация: 327
  • Откуда:no
  • IPB version:1.x
 

Отправлено 16 Апрель 2015 - 16:33

Обновить форум до 3.4.7.
3.4.3 бетка в которой очень много недостатков.
0

#3 Пользователь не на сайте   ralf ответил: »

 
 
  • Member
  • **
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: Пользователи
  • Сообщений: 35
  • Регистрация: 22-Август 09
  • Репутация: 0
  • IPB version:3.4.x
 

Отправлено 16 Апрель 2015 - 16:39

Лицензия, к сожалению, закончилась на 3.4.3. Лицензия была от ibresource сейчас её не продлить.
0

#4 Пользователь не на сайте   Атаман ответил: »

 
 
  • Advanced
  • Смотреть блог
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: IPB Skins.ru Team
  • Сообщений: 2 144
  • Регистрация: 13-Апрель 12
  • Репутация: 327
  • Откуда:no
  • IPB version:1.x
 

Отправлено 16 Апрель 2015 - 16:46

Лицензией торговали до 3.3.4, с 3.4.х торгуют только русификацией.
0

#5 Пользователь не на сайте   ralf ответил: »

 
 
  • Member
  • **
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: Пользователи
  • Сообщений: 35
  • Регистрация: 22-Август 09
  • Репутация: 0
  • IPB version:3.4.x
 

Отправлено 16 Апрель 2015 - 17:03

Вот поэтому и спрашиваю как исправить эту ошибку.
Ошибка только в блогах, форум работает нормально.
0

#6 Пользователь не на сайте   newbie ответил: »

 
 
  • Advanced
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: IPB Skins.ru Team
  • Сообщений: 2 166
  • Регистрация: 26-Октябрь 11
  • Репутация: 814
  • IPB version:I have no IPB
 

Отправлено 16 Апрель 2015 - 17:06

Подобные ошибки постят на форуме с постоянной периодичностью.

$blog['blog_settings']['eopt_mode'] == "autohide"
заменить на
isset($blog['blog_settings']['eopt_mode']) AND $blog['blog_settings']['eopt_mode'] == "autohide"

2

Сообщить об этой теме:


Страница 1 из 1


Быстрый ответ

  

1 пользователей читают эту тему
0 зарегистрированных, 1 гостей, 0 скрытых


Контактная информация

Вопросы по работе сайта

+7 (917) 501-4765
C 10 до 20 в рабочие дни (время московское)

Техническая поддержка

Контактные данные специалистов

Дизайн форумов

IPB 3.x ¦ IPB 2.x

Бесплатные шаблоны

IPB 3.2 – 3.4 ¦ IPB 3.1 ¦ IPB 3.0 ¦ IPB 2.2 – 2.3 ¦ IPB 2.1 ¦ Клипарт
Лицензия на использование ¦ Ваша поддержка ¦ О проекте
Copyright © 2005-2016 IPBSkins.ru Team
При копировании материалов с сайта
прямая ссылка на источник обязательна